<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Se connecte à la BDD (identifiants cachés)
// Charge les paramètres de tnt dans $tntconfig
include_once 'dbinit.php';
include_once 'setupTntsearch.php';

$indexer = $tnt->createIndex('salleSearch.index');
$indexer->query('(SELECT salleId AS id, nom AS searchText FROM salleAlias) UNION (SELECT salleId AS id, personne AS searchText FROM locataires)');
$indexer->setLanguage('french');
$indexer->run();

echo "<br/>";
echo "Mise à jour de l'index faite avec succès !";
